Subject: bug#25496: 25.1.91; INSIDE_EMACS env variable is not set in eshell

From: Glenn Morris <[email-masked]>
Date: Mon, 23 Jan 2017 15:20:33 -0500

Alex Hutcheson wrote:

> The INSIDE_EMACS environmental variable is set for comint processes,
> including M-x shell and ansi-term. However, it's not set for eshell or
> for processes launched by eshell. This makes it difficult for scripts to
> detect whether or not they are being run inside eshell.

Could you give some examples of where this matters?
It never has been set for eshell, AFAIK.

When I think of INSIDE_EMACS usage, the only thing that comes to mind is
interactive bash, which obviously isn't relevant for eshell (as a bash
replacement).

> The INSIDE_EMACS env variable should be set within eshell, or should at
> least be set for processes launched by eshell.